// ############################################################################################
//  VLGame-AThread.cc
//  A demo application for VortexGE (definition of VLGame's audio thread)
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004-2006 Aloysius Indrayanto
//  This file is part of VortexGE
//
//  This program is free software; you can redistribute it and/or modify it under the terms of
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
//  Boston, MA 02111-1307 USA.
// ############################################################################################
#ifndef _DEMO___VLGAME_ATHREAD_H_
#define _DEMO___VLGAME_ATHREAD_H_

// VortexGE headers
#include <VMain.h>


//
// VLGame's audio thread class
//
class VLGAudioThread : public CThread {
  public:
    VLGAudioThread(class VLGApplication &myApp);

    virtual uint64_t ThreadCallback(TThreadData &threadData);

  private:
    class VLGApplication &_myApp;
};

#endif
