// ############################################################################################
//  mcatedit-WIcon.h
//  Definition of mcatedit's window icon
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004-2006 Aloysius Indrayanto
//  This file is part of VortexGE
//
//  This program is free software; you can redistribute it and/or modify it under the terms of
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
//  Boston, MA 02111-1307 USA.
// ############################################################################################
#ifndef _UTIL___MCATEDIT_WICON_H_
#define _UTIL___MCATEDIT_WICON_H_


//
// mcatedit's window icon
//
static const char *mcatedit_xpm[] = {
  "32 32 128 2",
  "  	c None",
  ". 	c #000200",
  "+ 	c #08060B",
  "@ 	c #070916",
  "# 	c #111325",
  "$ 	c #10142E",
  "% 	c #151822",
  "& 	c #121639",
  "* 	c #1A191C",
  "= 	c #101D22",
  "- 	c #121843",
  "; 	c #1D1F1C",
  "> 	c #072F26",
  ", 	c #1F2236",
  "' 	c #242623",
  ") 	c #252528",
  "! 	c #0F371A",
  "~ 	c #1D245A",
  "{ 	c #232652",
  "] 	c #27294A",
  "^ 	c #2E302D",
  "/ 	c #163941",
  "( 	c #1E3750",
  "_ 	c #323338",
  ": 	c #323049",
  "< 	c #2A327A",
  "[ 	c #30346D",
  "} 	c #2C3864",
  "| 	c #303675",
  "1 	c #373A4D",
  "2 	c #333768",
  "3 	c #3C3E3C",
  "4 	c #3A3A5A",
  "5 	c #3E3D42",
  "6 	c #2A503B",
  "7 	c #175D3A",
  "8 	c #2F4D5B",
  "9 	c #1D6422",
  "0 	c #474946",
  "a 	c #3D4385",
  "b 	c #454962",
  "c 	c #45476E",
  "d 	c #4B4A4F",
  "e 	c #3C4793",
  "f 	c #3847AE",
  "g 	c #2C5586",
  "h 	c #36566F",
  "i 	c #34605B",
  "j 	c #464DA8",
  "k 	c #316C3D",
  "l 	c #4E5484",
  "m 	c #58575C",
  "n 	c #15853E",
  "o 	c #525992",
  "p 	c #0F8E34",
  "q 	c #595D80",
  "r 	c #5F615E",
  "s 	c #5D6074",
  "t 	c #505BB7",
  "u 	c #515DB1",
  "v 	c #63646E",
  "w 	c #505DC9",
  "x 	c #4B6D93",
  "y 	c #6065A9",
  "z 	c #478470",
  "A 	c #349168",
  "B 	c #6F7079",
  "C 	c #5B6BD5",
  "D 	c #7F8003",
  "E 	c #209F60",
  "F 	c #6F6F8A",
  "G 	c #6F7286",
  "H 	c #6A71AF",
  "I 	c #78767A",
  "J 	c #63836E",
  "K 	c #6C7D7A",
  "L 	c #6977A5",
  "M 	c #448CAB",
  "N 	c #5D74FC",
  "O 	c #4F8AB3",
  "P 	c #30AC55",
  "Q 	c #697BD8",
  "R 	c #737AC4",
  "S 	c #4094CD",
  "T 	c #47A668",
  "U 	c #808193",
  "V 	c #7F809E",
  "W 	c #4F9C8E",
  "X 	c #36AD92",
  "Y 	c #34BD55",
  "Z 	c #728BD0",
  "` 	c #50B166",
  " .	c #8589B0",
  "..	c #8B8E9B",
  "+.	c #7D86FA",
  "@.	c #779F94",
  "#.	c #75A0A7",
  "$.	c #52C166",
  "%.	c #9093B5",
  "&.	c #879BA8",
  "*.	c #969895",
  "=.	c #7C93FA",
  "-.	c #6BB484",
  ";.	c #8695F5",
  ">.	c #61AEE5",
  ",.	c #999CC5",
  "'.	c #969CCE",
  ").	c #73ACD8",
  "!.	c #84A0F1",
  "~.	c #62C780",
  "{.	c #A0A0B2",
  "].	c #6EC48E",
  "^.	c #66BEE8",
  "/.	c #BEC000",
  "(.	c #ACADB7",
  "_.	c #98B1E9",
  ":.	c #A2AFF0",
  "<.	c #85CABB",
  "[.	c #ACB8CA",
  "}.	c #B8B7CE",
  "|.	c #B6B6DA",
  "1.	c #A4CBD0",
  "2.	c #A5D3B1",
  "3.	c #B9D7C7",
  "4.	c #A0E0F1",
  "5.	c #CFD1EC",
  "6.	c #D7E8EF",
  "7.	c #FFFFC0",
  "                          ) ; ' ' ' ) )                         ",
  "                  % % , _ : : 5 5 5 _ _ ) ) ;                   ",
  "              % % # ] } { # @ , : 1 : : : 1 5 ^ ;               ",
  "            % @ $ ~ ~ $ @ & [ [ a | | e e o q d 5 )             ",
  "          % % # < ~ $ & ~ ~ & { | e j j a 2 ] 4 4 _ '           ",
  "        % , , a [ ] | ~ $ & ~ e t t t u [ $ @ + ) _ d '         ",
  "      ' _ : q H o o [ ~ e < 2 4 c b 4 ] { | { ) _ m B 0 '       ",
  "      ^ m F  .,.'.R H Q C a 1 b H R y e a $ 2 o G V ..v 5 ;     ",
  "    ) d I U %.'.'.:.:.;.w a c F R ;.+.+.t a o Z ,.{.*.*.m _     ",
  "    3 r  .'.#.A P _.!.+.j i A H x W =.O n P $.].2.2.3.*.I 3 _   ",
  "  ) 0 v G T P 7.7.7.=.+.Z E A 2 7.7.=.X Y Y 7.7.7.7.7.7.7.7.^   ",
  "  ' m s k p 7.7.7.7.7.=.!.A 7 7.7.7.7.n P ~.7.7./.7.7./.7.7./.  ",
  "  _ b 6 9 7.7./././.7.7.;.M 7 7././.7./.Y ~.7././.7.7./.D 7./.D ",
  "  3 K n 7.7././.D D D /./.!.7.7./.D 7.7.D $.,./.D 7.7./.D , /.D ",
  ") d J p 7.7./.D D y y +.D D 7.7./.D 7.7./.W '.[.D 7.7./.D $ + D ",
  "* 0 K ` 7.7./.D e w < C N N 7.7.7.7.7.7./.D 4.<.` 7.7./.D & # @ ",
  ") 7.7.` 7.7./.D 2 j ( g N 7.7.7././.7.7.7.D ).P p 7.7./.D & ] # ",
  "7.7.7.7.p 7.7.D ~ } 7.7.=.7.7././.D D 7.7./.e i 7 7.7./.D & { ) ",
  "7.7.7.7./.P 7.7.7.7.7././.7.7./.D D >.7.7./.D < ! 7.7./.D - { % ",
  "  7.7././.D 7 7.7.7././.7.7././.D j S >.7.7.D 7.7.7.7.7.7.{ $ , ",
  "  * /./.D D p K /././.D D /./.D D f Z S S /./.- /./././././..   ",
  "  + + D D ].Y -.&.D D D W ].D D '.S M M ).S D D g D D D D D D   ",
  "    ) d F &.@.-.<.T z L  .1.3.|.}.1.i / O >.S A ! @ + > = + +   ",
  "    ) 0 B U G G H u o s  .}.5.5.6.1.O u >.^.^.g @ + & - + .     ",
  "      _ m m d _ [ a 4 H %.}.5.5.[.&.#.G x g h 8 % & - . . .     ",
  "      ' ) ) * + # | { b V |.|.5.}.{...U B s 4 d } ] @ . .       ",
  "        * + + . + & < a H %.%.}.}.(.(.(.{.U V q 1 * . .         ",
  "          . . + . + ~ e u R ,.|.(.[.}.}.{. .v 5 ) + +           ",
  "            + @ + + + | e y L V ....V G B m 5 _ ' *             ",
  "              % @ % % ] c o q F v G r m d 5 5 ' *               ",
  "                  * ' ^ 3 d m m m d m 3 3 ' )                   ",
  "                          ' ) ' ' ; ' '                         "
};

#endif
