#######################################################################
##### Part of the VortexGE Configuration Script                   #####
##### Copyright (C) 2004-2006 Aloysius Indrayanto                 #####
##### GNU Lesser General Public License                           #####
##### ----------------------------------------------------------- #####
##### EDITING THIS FILE ERRONEOUSLY MAY CAUSE THIS SCRIPT TO FAIL #####
##### ----------------------------------------------------------- #####
##### This program is distributed WITHOUT ANY WARRANTY.           #####
##### See the GNU Lesser General Public License for more details. #####
#######################################################################

#######################################################################
##### Functions for Checking Doxygen
#######################################################################

##### Check the doxygen version
CheckDoxygen()
{
  local __dox__=`which doxygen 2> /dev/null`
  if [[ ! -x $__dox__ ]]; then
    echo $_COLOR_RED"NOT FOUND (API documention won't be buildable)"$_COLOR_NORMAL
    export $1='N'
    return;
  fi

  local __ver__=`$__dox__ --version`
  local __vmj__=`echo $__ver__ | cut -d. -f1`
  local __vmn__=`echo $__ver__ | cut -d. -f2`
  local __vrv__=`echo $__ver__ | cut -d. -f3`
  local __chk__;

  let '__chk__=__vmj__*10000 +  __vmn__*100 + __vrv__'
  echo $_COLOR_BLUE"$__dox__$COLOR_NORMAL$_COLOR_GREEN (Doxygen $__ver__)$_COLOR_NORMAL"
  if (( __chk__ < 10307 )); then
      echo $_COLOR_RED"Warning: the Doxygen found in the system is lower than version 1.3.7,"$COLOR_NORMAL
      echo $_COLOR_RED"         function parameters descriptions will be looked a bit uggly"$COLOR_NORMAL
  fi
  if (( __chk__ == 10406 )); then
      echo $_COLOR_RED"Warning: Doxygen version 1.4.6 is known to missbuild the VortexGE API"$COLOR_NORMAL
      echo $_COLOR_RED"         documentation (some code examples may not be visible)"$COLOR_NORMAL
  fi
  export $1='Y'
}
