/** 
 * \file DialogMacrosDeprecated.h
 * \deprecated All dialog macros in this file are deprecated and may be removed in the future.
 * <hr>
 * See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
 * <hr>
 */
// ############################################################################################
//  DialogMacrosObs.h
//  Definition of various deprecated macros used by VortexGE dialogs & controls
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004-2006 Aloysius Indrayanto
//  This file is part of VortexGE
//
//  This library is free software; you can redistribute it and/or modify it under the terms of
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
//  Boston, MA 02111-1307 USA.
// ############################################################################################
#ifndef _VIDEO_ENVIRONMENT___DIALOG_MACROS_DEPRECATED_H_
#define _VIDEO_ENVIRONMENT___DIALOG_MACROS_DEPRECATED_H_


//
// For selecting the determining mouse button in mouse move event
//
//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Use mouse button 1 as the determining button in mouse move event.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_MOUSE_BUTTON_1 GetButton1State
//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Use mouse button 2 as the determining button in mouse move event.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_MOUSE_BUTTON_2 GetButton2State
//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Use mouse button 3 as the determining button in mouse move event.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_MOUSE_BUTTON_3 GetButton3State
//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Use mouse button 4 as the determining button in mouse move event.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_MOUSE_BUTTON_4 GetButton4State
//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Use mouse button 5 as the determining button in mouse move event.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_MOUSE_BUTTON_5 GetButton5State


//
// For handling mouse move event with dialog controls
//
//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Starting macro for handling mouse move event <b>(common to all dialog controls)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEMOVE_START(csVidEnv, pfnBFunc) \
  {                                               \
    CVideoEnv &_VE_ = csVidEnv;                   \
    int32_t    _MX_ = _VE_.GetButtonX();          \
    int32_t    _MY_ = _VE_.GetButtonY();          \
    bool       _BS_ = _VE_.pfnBFunc();

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Starting macro for handling mouse move event <b>(common to all dialog controls)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEMOVE_START_CUSTOM(csVidEnv, bPressed) \
  {                                                      \
    CVideoEnv &_VE_ = csVidEnv;                          \
    int32_t    _MX_ = _VE_.GetButtonX();                 \
    int32_t    _MY_ = _VE_.GetButtonY();                 \
    bool       _BS_ = bPressed;

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Updating (drawing) macro for handling mouse move event <b>(common to all dialog controls)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEMOVE_DRAW(csVControl)             \
    (csVControl).DrawControl(_MX_, _MY_, _BS_);

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Ending macro for handling mouse move event <b>(common to all dialog controls)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEMOVE_END() \
    _VE_.UpdateDisplay();     \
  }


//
// For handling mouse button press event with dialog controls
//
//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Starting macro for handling mouse button press event <b>(common to all dialog controls)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEDOWN_START(csVidEnv)  \
  {                                      \
    CVideoEnv &_VE_ = csVidEnv;          \
    int32_t    _MX_ = _VE_.GetButtonX(); \
    int32_t    _MY_ = _VE_.GetButtonY();

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Updating (drawing) macro for handling mouse button press event <b>(common to all dialog controls)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEDOWN_DRAW(csVControl)             \
    (csVControl).DrawControl(_MX_, _MY_, true);

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Ending macro for handling mouse button press even <b>(common to all dialog controls)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEDOWN_END() \
    _VE_.UpdateDisplay();     \
  }


//
// For handling mouse button release event with dialog controls
//
//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Macro to be used for trapping (and detecting) double click in mouse button release event <b>(common to all dialog controls)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_TRAP_DOUBLE_CLICK(unDelay)               \
  static uint64_t _OTM_ = 0;                         \
  const  uint64_t _CTM_ = _VE_.GetButtonTimeMs();    \
  const  uint64_t _DTM_ = _CTM_ - _OTM_;             \
                  _OTM_ = _CTM_;                     \
                                                     \
  bool GOT_DOUBLE_CLICK = _DTM_ < uint64_t(unDelay); \
       GOT_DOUBLE_CLICK = GOT_DOUBLE_CLICK

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Starting macro for handling mouse button release event <b>(common to all dialog controls)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_START(csVidEnv)    \
  {                                      \
    CVideoEnv &_VE_ = csVidEnv;          \
    int32_t    _MX_ = _VE_.GetButtonX(); \
    int32_t    _MY_ = _VE_.GetButtonY();

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Ending macro for handling mouse button release event <b>(common to all dialog controls)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_END() \
    _VE_.UpdateDisplay();   \
  }

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Ending macro for handling action in mouse button release event <b>(common to all dialog controls)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_END() \
    }

// For command buttons
//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Starting macro for handling action in mouse button release event <b>(for command buttons only)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_COMMANDBUTTON_BEGIN(csVCBtn) \
    if(csVCBtn.MouseOver(_MX_, _MY_)) {                   \
      csVCBtn.DrawControl(false);                         \
      _VE_.UpdateDisplay();

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Combined (starting and ending) macro for handling action in mouse button release event <b>(for command buttons only, if one only need to specify (a single) simple custom action(s))</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_COMMANDBUTTON_DEFAULT(csVChBox, fnAction) \
    {                                                                  \
      VCE_ONMOUSEUP_ACTION_COMMANDBUTTON_BEGIN(csVChBox);              \
        fnAction;                                                      \
      VCE_ONMOUSEUP_ACTION_END();                                      \
    }

// For check boxes
//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Starting macro for handling action in mouse button release event <b>(for check boxes only)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_CHECKBOX_BEGIN(csVChBox) \
    if(csVChBox.ToggleValue(_MX_, _MY_)) {            \
      csVChBox.DrawControl(false);                    \
      _VE_.UpdateDisplay();

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Combined (starting and ending) macro for handling action in mouse button release event <b>(for check boxes only, if one does not need to specify any custom action)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_CHECKBOX_DEFAULT(csVChBox) \
    {                                                   \
      VCE_ONMOUSEUP_ACTION_CHECKBOX_BEGIN(csVChBox);    \
      VCE_ONMOUSEUP_ACTION_END();                       \
    }

// For radio (option) buttons
//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Grouping macro for handling action in mouse button release event <b>(for radio buttons only)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_RADIOBUTTON_GROUP(csVRBtn) \
      if(csVRBtn.ToggleValue(_MX_, _MY_,

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Starting macro for handling action in mouse button release event <b>(for radio buttons only)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_RADIOBUTTON_BEGIN() \
      , NULL)) {

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Grouping macro for handling action in mouse button release event <b>(for radio buttons only)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_RADIOBUTTON_GROUP_BEGIN(csVRBtn, csFriends) \
      if(csVRBtn.ToggleValue(_MX_, _MY_, csFriends)) {

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Updating (drawing) macro for handling mouse button release event <b>(for radio buttons only)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_RADIOBUTTON_DRAW(csVRBtn) \
      (csVRBtn).DrawControl(false);

// For spin buttons
//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Starting macro for handling action in mouse button release event <b>(for spin buttons only)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_SPINBUTTON_BEGIN(csSButton) \
    if(csSButton.ToggleValue(_MX_, _MY_)) {              \
      csSButton.UpdateValue();                           \
      csSButton.DrawControl(false, false);               \
      _VE_.UpdateDisplay();

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Combined (starting and ending) macro for handling action in mouse button release event <b>(for spin buttons only, if one does not need to specify any custom action)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_SPINBUTTON_DEFAULT(csSButton) \
    {                                                      \
      VCE_ONMOUSEUP_ACTION_SPINBUTTON_BEGIN(csSButton);    \
      VCE_ONMOUSEUP_ACTION_END();                          \
    }

// For list boxes
//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Starting macro for handling action in mouse button release event <b>(for list boxes only)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_LISTBOX_BEGIN(csLBox) \
    if(csLBox.ToggleValue(_MX_, _MY_)) {           \
      csLBox.DrawControl(false, false, false, 0);  \
      _VE_.UpdateDisplay();

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Combined (starting and ending) macro for handling action in mouse button release event <b>(for list boxes only, if one does not need to specify any custom action)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_LISTBOX_DEFAULT(csLBox) \
    {                                                \
      VCE_ONMOUSEUP_ACTION_LISTBOX_BEGIN(csLBox);    \
      VCE_ONMOUSEUP_ACTION_END();                    \
    }

// For single line text boxes
//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Starting macro for handling action in mouse button release event <b>(for single line text boxes only)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_SLTEXTBOX_BEGIN(csTBox) \
    if(csTBox.MouseOver(_MX_, _MY_)) {               \
      bool ACCEPTED = csTBox.DoEdit();               \
      ACCEPTED = ACCEPTED;                           \
      csTBox.DrawControl();                          \
      _VE_.UpdateDisplay();

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Combined (starting and ending) macro for handling action in mouse button release event <b>(for single line text boxes only, if one does not need to specify any custom action)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_SLTEXTBOX_DEFAULT(csTBox) \
    {                                                  \
      VCE_ONMOUSEUP_ACTION_SLTEXTBOX_BEGIN(csTBox);    \
      VCE_ONMOUSEUP_ACTION_END();                      \
    }

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Extented starting macro for handling action in mouse button release event <b>(for single line text boxes only)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_SLTEXTBOX_BEGIN_EX(csTBox, csPpgTo) \
    if(csTBox.MouseOver(_MX_, _MY_)) {                           \
      bool ACCEPTED = csTBox.DoEdit(csPpgTo);                    \
      ACCEPTED = ACCEPTED;                                       \
      csTBox.DrawControl();                                      \
      _VE_.UpdateDisplay();

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Extented  combined (starting and ending) macro for handling action in mouse button release event <b>(for single line text boxes only, if one does not need to specify any custom action)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_SLTEXTBOX_DEFAULT_EX(csTBox, csPpgTo) \
    {                                                              \
      VCE_ONMOUSEUP_ACTION_SLTEXTBOX_BEGIN_EX(csTBox, csPpgTo);    \
      VCE_ONMOUSEUP_ACTION_END();                                  \
    }

// For multi line text boxes
//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Starting macro for handling action in mouse button release event <b>(for multi line text boxes only)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_MLTEXTBOX_BEGIN(csTBox) \
  VCE_ONMOUSEUP_ACTION_SLTEXTBOX_BEGIN(csTBox)

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Combined (starting and ending) macro for handling action in mouse button release event <b>(for multi line text boxes only, if one does not need to specify any custom action)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_MLTEXTBOX_DEFAULT(csTBox) \
    {                                                  \
      VCE_ONMOUSEUP_ACTION_MLTEXTBOX_BEGIN(csTBox);    \
      VCE_ONMOUSEUP_ACTION_END();                      \
    }

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Extented starting macro for handling action in mouse button release event <b>(for multi line text boxes only)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_MLTEXTBOX_BEGIN_EX(csTBox, csPpgTo) \
  VCE_ONMOUSEUP_ACTION_SLTEXTBOX_BEGIN_EX(csTBox, csPpgTo)

//!
//! \ingroup Dialog_Macros
//! \hideinitializer
//! Extented combined (starting and ending) macro for handling action in mouse button release event <b>(for multi line text boxes only, if one does not need to specify any custom action)</b>.\n
//! \n
//! See the page \ref Short_Explanation_on_How_to_Use_Dialog_Macros "Short Explanation on How to Use Dialog Macros" for more informations.
//!
//! \deprecated The use of this dialog macro is deprecated and may be removed in the future; use the new CDialogPage class instead.
//!
//! \api deprecated
#define VCE_ONMOUSEUP_ACTION_MLTEXTBOX_DEFAULT_EX(csTBox, csPpgTo) \
    {                                                              \
      VCE_ONMOUSEUP_ACTION_MLTEXTBOX_BEGIN_EX(csTBox, csPpgTo);    \
      VCE_ONMOUSEUP_ACTION_END();                                  \
    }

#endif


/**
\page Short_Explanation_on_How_to_Use_Dialog_Macros Short Explanation on How to Use Dialog Macros

<hr>
<b>The use of all dialog macros in this page is deprecated. The macros
may be removed in the future; use the new CDialogPage class instead.</b>
<hr>

On mouse button press event, one would write something like:
\code
  void MyApplication::EventButtonPress(EBtnSymbol buttonSym)
  {
    // On mouse left button pressed event do ...
    if(buttonSym == VBS_MB1) {
      VCE_ONMOUSEDOWN_START(<one's video environment>);
        ...
        <one's specific action, optional>
        ...
        VCE_ONMOUSEDOWN_DRAW(<one's #1 control>);
        VCE_ONMOUSEDOWN_DRAW(<one's #2 control>);
        VCE_ONMOUSEDOWN_DRAW(<one's #3 control>);
        ...
      VCE_ONMOUSEDOWN_END();
    }
  }
\endcode
\n
On mouse move event, one would write something like:
\code
  void MyApplication::EventMouseMove(int32_t xPos, int32_t yPos)
  {
    // On mouse move event with the left button pressed do ...
    VCE_ONMOUSEMOVE_START(<one's video environment>, VCE_MOUSE_BUTTON_1);
      ...
      <one's specific action, optional>
      ...
      VCE_ONMOUSEMOVE_DRAW(<one's #1 control>);
      VCE_ONMOUSEMOVE_DRAW(<one's #2 control>);
      VCE_ONMOUSEMOVE_DRAW(<one's #3 control>);
      ...
    VCE_ONMOUSEMOVE_END();
  }
\endcode
or, if one wants to use custom method to determine if a particular mouse button
is pressed or not:
\code
  void MyApplication::EventMouseMove(int32_t xPos, int32_t yPos)
  {
    // On mouse move event with the left button pressed do ...
    VCE_ONMOUSEMOVE_START_CUSTOM(<one's video environment>, <true/false from one's logic>);
      ...
      <one's specific action, optional>
      ...
      VCE_ONMOUSEMOVE_DRAW(<one's #1 control>);
      VCE_ONMOUSEMOVE_DRAW(<one's #2 control>);
      VCE_ONMOUSEMOVE_DRAW(<one's #3 control>);
      ...
    VCE_ONMOUSEMOVE_END();
  }
\endcode
\n
On mouse button release event, one would write something like:
\code
  void MyApplication::EventButtonRelease(EBtnSymbol buttonSym)
  {
    // On mouse left button release event do ...
    if(buttonSym== VBS_MB1) {
        VCE_ONMOUSEUP_START(<one's video environment>);
          ...
          <one's specific action, optional>
          ...
          <action set 1>
          <action set 2>
          <action set 3>
          ...
        VCE_ONMOUSEUP_END();
    }
  }
\endcode
Where as <b><action set ?>s</b> are specific to the dialog controls.
\n
\n
For command buttons (CButton), one would write something like:
\code
  ...
  VCE_ONMOUSEUP_START(<one's video environment>);
    ...
    ...
    VCE_ONMOUSEUP_ACTION_COMMANDBUTTON_BEGIN(<one's command button>);
      ...
      <one's specific action, optional>
      ...
    VCE_ONMOUSEUP_ACTION_END();
    ...
    ...
  VCE_ONMOUSEUP_END();
  ...
\endcode
or, if one only need to specify (a single) simple custom action(s):
\code
  ...
  VCE_ONMOUSEUP_START(<one's video environment>);
    ...
    ...
    VCE_ONMOUSEUP_ACTION_COMMANDBUTTON_DEFAULT(<one's command button>, <one's action>);
    ...
    ...
  VCE_ONMOUSEUP_END();
  ...
\endcode
\n
For check boxes (CCheckBox), one would write something like:
\code
  ...
  VCE_ONMOUSEUP_START(<one's video environment>);
    ...
    ...
    VCE_ONMOUSEUP_ACTION_CHECKBOX_BEGIN(<one's check box>);
      ...
      <one's specific action, optional>
      ...
    VCE_ONMOUSEUP_ACTION_END();
    ...
    ...
  VCE_ONMOUSEUP_END();
  ...
\endcode
or, if one does not need to specify any custom action:
\code
  ...
  VCE_ONMOUSEUP_START(<one's video environment>);
    ...
    ...
    VCE_ONMOUSEUP_ACTION_CHECKBOX_DEFAULT(<one's check box>);
    ...
    ...
  VCE_ONMOUSEUP_END();
  ...
\endcode
\n
For radio buttons (CRadioButton), one would write something like:
\code
  ...
  VCE_ONMOUSEUP_START(<one's video environment>);
    ...
    ...
    VCE_ONMOUSEUP_ACTION_RADIOBUTTON_GROUP(<radio 1>) &<radio 2>, &<radio 3>, ...
    VCE_ONMOUSEUP_ACTION_RADIOBUTTON_BEGIN();
      ...
      <one's specific action, optional>
      ...
      VCE_ONMOUSEUP_ACTION_RADIOBUTTON_DRAW(<radio 1>);
      VCE_ONMOUSEUP_ACTION_RADIOBUTTON_DRAW(<radio 2>);
      VCE_ONMOUSEUP_ACTION_RADIOBUTTON_DRAW(<radio 3>);
      ...
    VCE_ONMOUSEUP_ACTION_END();
    ...
    ...
  VCE_ONMOUSEUP_END();
  ...
\endcode
Note that the list of radio buttons must not ends with semicolon (;).
A better way is to use std::vector<CRadioButton*> to store all the radio
buttons which are in the same group, and so the code above will become:
\code
  ...
  VCE_ONMOUSEUP_START(<one's video environment>);
    ...
    ...
    VCE_ONMOUSEUP_ACTION_RADIOBUTTON_GROUP_BEGIN(<radio 1>, <vector of all radio buttons in the group>);
      ...
      <one's specific action, optional>
      ...
      VCE_ONMOUSEUP_ACTION_RADIOBUTTON_DRAW(<radio 1>);
      VCE_ONMOUSEUP_ACTION_RADIOBUTTON_DRAW(<radio 2>);
      VCE_ONMOUSEUP_ACTION_RADIOBUTTON_DRAW(<radio 3>);
      ...
    VCE_ONMOUSEUP_ACTION_END();
    ...
    ...
  VCE_ONMOUSEUP_END();
  ...
\endcode
\n
For spin buttons (CSpinButton), one would write something like:
\code
  ...
  VCE_ONMOUSEUP_START(<one's video environment>);
    ...
    ...
    VCE_ONMOUSEUP_ACTION_SPINBUTTON_BEGIN(<one's spin button>);
      ...
      <one's specific action, optional>
      ...
    VCE_ONMOUSEUP_ACTION_END();
    ...
    ...
  VCE_ONMOUSEUP_END();
  ...
\endcode
or, if one does not need to specify any custom action:
\code
  ...
  VCE_ONMOUSEUP_START(<one's video environment>);
    ...
    ...
    VCE_ONMOUSEUP_ACTION_SPINBUTTON_DEFAULT(<one's spin button>);
    ...
    ...
  VCE_ONMOUSEUP_END();
  ...
\endcode
\n
For list boxes (CListBox), one would write something like:
\code
  ...
  VCE_ONMOUSEUP_START(<one's video environment>);
    ...
    ...
    VCE_ONMOUSEUP_ACTION_LISTBOX_BEGIN(<one's list box>);
      ...
      <one's specific action, optional>
      ...
    VCE_ONMOUSEUP_ACTION_END();
    ...
    ...
  VCE_ONMOUSEUP_END();
  ...
\endcode
or, if one does not need to specify any custom action:
\code
  ...
  VCE_ONMOUSEUP_START(<one's video environment>);
    ...
    ...
    VCE_ONMOUSEUP_ACTION_LISTBOX_DEFAULT(<one's list box>);
    ...
    ...
  VCE_ONMOUSEUP_END();
  ...
\endcode
\n
For single line text boxes (CSLTextBox), one would write something like:
\code
  ...
  VCE_ONMOUSEUP_START(<one's video environment>);
    ...
    ...
    VCE_ONMOUSEUP_ACTION_SLTEXTBOX_BEGIN(<one's single line text box>);
      ...
      if(ACCEPTED) {
        ...
        <one's specific action if the changes accepted, optional>
        ...
      }
      else {
        ...
        <one's specific action if the changes rejected, optional>
        ...
      }
      ...
    VCE_ONMOUSEUP_ACTION_END();
    ...
    ...
  VCE_ONMOUSEUP_END();
  ...
\endcode
or, if one does not need to specify any custom action:
\code
  ...
  VCE_ONMOUSEUP_START(<one's video environment>);
    ...
    ...
    VCE_ONMOUSEUP_ACTION_SLTEXTBOX_DEFAULT(<one's single line text box>);
    ...
    ...
  VCE_ONMOUSEUP_END();
  ...
\endcode
In addition, if event propagation is needed, one can use the extended macros like:
\code
  ...
    VCE_ONMOUSEUP_ACTION_SLTEXTBOX_BEGIN_EX(<one's single line text box>, <pointer to one's event handler, derived from CEventHandlerBase>);
  ...
\endcode
or:
\code
  ...
    VCE_ONMOUSEUP_ACTION_SLTEXTBOX_DEFAULT_EX(<one's single line text box>, <pointer to one's event handler, derived from CEventHandlerBase>);
  ...
\endcode
\n
For multi line text boxes (CMLTextBox), one would write something like:
\code
  ...
  VCE_ONMOUSEUP_START(<one's video environment>);
    ...
    ...
    VCE_ONMOUSEUP_ACTION_MLTEXTBOX_BEGIN(<one's multi line text box>);
      ...
      if(ACCEPTED) {
        ...
        <one's specific action if the changes accepted, optional>
        ...
      }
      else {
        ...
        <one's specific action if the changes rejected, optional>
        ...
      }
      ...
    VCE_ONMOUSEUP_ACTION_END();
    ...
    ...
  VCE_ONMOUSEUP_END();
  ...
\endcode
or, if one does not need to specify any custom action:
\code
  ...
  VCE_ONMOUSEUP_START(<one's video environment>);
    ...
    ...
    VCE_ONMOUSEUP_ACTION_MLTEXTBOX_DEFAULT(<one's multi line text box>);
    ...
    ...
  VCE_ONMOUSEUP_END();
  ...
\endcode
In addition, if event propagation is needed, one can use the extended macros like:
\code
  ...
    VCE_ONMOUSEUP_ACTION_MLTEXTBOX_BEGIN_EX(<one's multi line text box>, <pointer to one's event handler, derived from CEventHandlerBase>);
  ...
\endcode
or:
\code
  ...
    VCE_ONMOUSEUP_ACTION_MLTEXTBOX_DEFAULT_EX(<one's multi line text box>, <pointer to one's event handler, derived from CEventHandlerBase>);
  ...
\endcode
\n
To detect double click, one would write something like:
\code
  ...
  VCE_ONMOUSEUP_START(<one's video environment>);
    ...
    ...
    VCE_TRAP_DOUBLE_CLICK(TMouseSettings::GLOBAL_SET.doubleClickDelay);
    ...
    VCE_ONMOUSEUP_ACTION_LISTBOX_BEGIN(<one's list box>);
      ...
      if(GOT_DOUBLE_CLICK) {
        ...
        <one's specific action, optional>
        ...
      }
      ...
      <one's specific action, optional>
      ...
    VCE_ONMOUSEUP_ACTION_END();
    ...
    ...
  VCE_ONMOUSEUP_END();
  ...
\endcode
Using <b>TMouseSettings::GLOBAL_SET.doubleClickDelay</b> is the recommended way,
however one can use any value (in milliseconds) as needed.
\n
<hr>
Back to \ref Dialog_Macros
*/
